%define _requires_exceptions pear(vendor/autoload.php)

%define base_name	phpmailer

Name:		php-%{base_name}
Version:	5.2.14
Release:	%mkrel 3.1
Summary:	Full featured email transfer class for PHP
License:	LGPL
Group:		Development/Other
URL:		http://phpmailer.sourceforge.net/
Source:     	https://github.com/PHPMailer/PHPMailer/archive/PHPMailer-%{version}.tar.gz
BuildArch: 	noarch

%description
PHP email transport class featuring multiple file attachments, SMTP servers,
CCs, BCCs, HTML messages, and word wrap, and more. It can send email via
sendmail, PHP mail(), or with SMTP. Methods are based on the popular AspEmail
active server component.

%prep
%setup -q -n PHPMailer-%{version}

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/php/PHPMailer
install -d -m 755 %{buildroot}%{_datadir}/php/PHPMailer/language
install -d -m 755 %{buildroot}%{_datadir}/php/PHPMailer/extras
install -m 644 *.php %{buildroot}%{_datadir}/php/PHPMailer
install -m 644 extras/*.php %{buildroot}%{_datadir}/php/PHPMailer/extras
install -m 644 language/*.php %{buildroot}%{_datadir}/php/PHPMailer/language

%files
%{_datadir}/php/PHPMailer


%changelog
* Mon Dec 12 2016 tex - 5.2.14-3.1pclos2017
- rebuild

* Mon Dec 12 2016 bb <bb> 5.2.14-3pclos2017
-rebuild

* Sun Mar 20 2016 bb <bb> 5.2.14-2pclos2016
- fix dependency

* Sun Mar 13 2016 bb <bb> 5.2.14-1pclos2016
- update
